aboutsummaryrefslogtreecommitdiff
path: root/common/hooks/post-install
diff options
context:
space:
mode:
authormaxice8 <thinkabit.ukim@gmail.com>2019-04-14 11:05:31 +0000
committermaxice8 <30738253+maxice8@users.noreply.github.com>2019-04-14 12:02:28 +0000
commitcdb6bf6e9480adb67abd134e78842ec04316f47e (patch)
tree88c61171425c6dc854794f033fc1af46e0743f62 /common/hooks/post-install
parentbec3eafad41eebdfa78275f72fc87ac829134c71 (diff)
downloadvoid-packages-cdb6bf6e9480adb67abd134e78842ec04316f47e.tar
void-packages-cdb6bf6e9480adb67abd134e78842ec04316f47e.tar.gz
void-packages-cdb6bf6e9480adb67abd134e78842ec04316f47e.tar.bz2
void-packages-cdb6bf6e9480adb67abd134e78842ec04316f47e.tar.lz
void-packages-cdb6bf6e9480adb67abd134e78842ec04316f47e.tar.xz
void-packages-cdb6bf6e9480adb67abd134e78842ec04316f47e.tar.zst
void-packages-cdb6bf6e9480adb67abd134e78842ec04316f47e.zip
00-compress-info-files.sh: replace echo | grep with [[ ]]
Diffstat (limited to 'common/hooks/post-install')
-rw-r--r--common/hooks/post-install/00-compress-info-files.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/common/hooks/post-install/00-compress-info-files.sh b/common/hooks/post-install/00-compress-info-files.sh
index 7cc0c90c620..ee394a8c901 100644
--- a/common/hooks/post-install/00-compress-info-files.sh
+++ b/common/hooks/post-install/00-compress-info-files.sh
@@ -21,12 +21,11 @@ hook() {
[ "$j" = "" ] && continue
[ "$j" = "/usr/share/info/dir" ] && continue
# Ignore compressed files.
- if $(echo "$j"|grep -q '.*.gz$'); then
+ if [[ "$j" =~ .*.gz$ ]]; then
continue
fi
# Ignore non info files.
- if ! $(echo "$j"|grep -q '.*.info$') && \
- ! $(echo "$j"|grep -q '.*.info-[0-9]*$'); then
+ if ! [[ "$j" =~ .*.info$ ]] && ! [[ "$j" =~ .*.info-[0-9]*$ ]]; then
continue
fi
if [ -h ${PKGDESTDIR}/"$j" ]; then